Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000723Zandronum[All Projects] Bugpublic2012-03-26 20:412019-06-04 22:02
ReporterDusk 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusnewResolutionopen 
PlatformOSOS Version
Product Version1.0-beta 
Target VersionFixed in Version 
Summary0000723: Hexen Arc of Death does not lock into targets on clientside
DescriptionPretty self-explanatory. Clients think the projectile rips through while the actor does get actually locked on by them.
Attached Files

- Relationships
has duplicate 0002737closed Arc of death desyncs monsters online 

-  Notes
User avatar (0002906)
Dusk (developer)
2012-03-26 21:42

And this should fix it:
https://bitbucket.org/CrimsonDusk/notebola/changeset/86cb84dc5776 [^]
User avatar (0003083)
Torr Samaho (administrator)
2012-04-01 18:37

As a general remark, if a code pointer needs server side adjustments like SERVERCOMMANDS_MoveThing, you usually have to make sure that the client doesn't call that code at all.
User avatar (0003165)
Dusk (developer)
2012-04-07 13:07

OK this is a bigger problem than I expected. The Arc is missing a lot of netcode...

I haven't gotten it fully working yet, and a single Arc locking into an ettin uses up 2.5 kb/s traffic. Am I supposed to be worried about this?
User avatar (0003166)
Torr Samaho (administrator)
2012-04-07 13:47

> single Arc locking into an ettin uses up 2.5 kb/s traffic

That sounds like a problem, I would have to look at the code in detail though to say if that traffic usage in inevitable or still can be optimized.
User avatar (0003170)
Dusk (developer)
2012-04-07 14:40
edited on: 2012-04-07 14:43

The Arc is a very intensive weapon though, it updates its own and its target's momentums all the time.. as well as spawning lightning zaps constantly.

This is definitely not a small deal, I'm gonna put this on hold for the moment and do deeper research on this when 98e is out of the door and things clear up a bit.

User avatar (0011035)
Dusk (developer)
2014-12-03 17:22
edited on: 2014-12-03 21:49

https://bitbucket.org/Torr_Samaho/zandronum/pull-request/50 [^]

Seems to work fine online with local and remote hosts.

User avatar (0016640)
Torr Samaho (administrator)
2017-01-15 10:44

The link to the pull request changed tohttps://bitbucket.org/Torr_Samaho/zandronum-old/pull-requests/50 [^]

Since the last comment in there says
Quote
Quote

Isn't this altering the offline behavior of this actor?

Gah, that needs to be fixed

I'll change this from "Needs review" to "Assigned".

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: WaTaKiD Argentum Ivan Combinebobnt
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2012-03-26 20:41 Dusk New Issue
2012-03-26 20:41 Dusk Status new => assigned
2012-03-26 20:41 Dusk Assigned To => Dusk
2012-03-26 20:42 Dusk Description Updated View Revisions
2012-03-26 21:42 Dusk Note Added: 0002906
2012-03-26 21:42 Dusk Status assigned => feedback
2012-04-01 18:37 Torr Samaho Note Added: 0003083
2012-04-07 13:07 Dusk Note Added: 0003165
2012-04-07 13:07 Dusk Status feedback => assigned
2012-04-07 13:47 Torr Samaho Note Added: 0003166
2012-04-07 14:40 Dusk Note Added: 0003170
2012-04-07 14:41 Dusk Status assigned => acknowledged
2012-04-07 14:41 Dusk Resolution open => suspended
2012-04-07 14:42 Dusk Note Edited: 0003170 View Revisions
2012-04-07 14:43 Dusk Note Edited: 0003170 View Revisions
2012-06-09 13:22 Torr Samaho Category General => Bug
2014-12-03 17:22 Dusk Note Added: 0011035
2014-12-03 17:22 Dusk Status acknowledged => needs review
2014-12-03 17:22 Dusk Resolution suspended => open
2014-12-03 21:49 Dusk Note Edited: 0011035 View Revisions
2016-05-19 16:01 WaTaKiD Relationship added has duplicate 0002737
2017-01-02 17:42 Argentum Note Added: 0016591
2017-01-02 19:01 Dusk Note Deleted: 0016591
2017-01-15 10:44 Torr Samaho Note Added: 0016640
2017-01-15 10:45 Torr Samaho Status needs review => assigned
2019-06-04 21:54 Dusk Status assigned => new
2019-06-04 22:02 Dusk Assigned To Dusk =>






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker